BOOTCDBACKUP(1)

NAME
bootcdbackup - create a bootable offline backup of a unix system

SYNOPSIS
bootcdbackup [-i] [-v] [-s] [-c <config directory>] [-url <url] [-nomount] [-2diskconf <file>] <dev> <name> <builddir>

DESCRIPTION
bootcdbackup creates a offline backup from a installed system. You need a running bootcd to boot the system with. This CD/DVD is booted on the system and bootcdbackup creates a bootable CD/DVD with the bootcd kernel and the backup disk as tar-file.

To restore or clone the system, boot the CD/DVD image and install it with bootcd2disk -c <name> on the system.

bootcdbackup can try to discover the disk partition by searching for fstab on the given partition. A other way to backup the partition table is the program bootcdmk2diskconf which creates a configuration file on a running system.

OPTIONS

-i  The bootcdbackup runs in interactive mode and you can run each function manually. This option is useful for debugging.

-v  The option "-v" (verbose) adds messages on running.

-s  This option can be used to disable interactive questions and to try to ignore errors.

-c <config directory>
    The configuration directory which includes the file "bootcdbackup.conf", default is "/etc/bootcd".

-url <url>
    If bootcdbackup is slow on your system (because of a slow CD/DVD drive or the HP ILO virtual CD interface), you can use an image server to get the image from. bootcdbackup use the SWAP partition of your upcoming system as temporary space and copy the image from the configured image server to this partition and use it as image. The image server url is configured with this option.

-nomount
    The target disk should not be mounted and no search for fstab is done.

--cpio
    Normally as backup tool star will be used if selinux files have to be backed up and cpio will be used if not. With this option the usage of cpio can be forced.

--star
    Normally as backup tool star will be used if selinux files have to be backed up and cpio will be used if not. With this option the usage of star can be forced.

-2diskconf <file>
    The parameter configures a bootcd2disk.conf for the restore of the system done by bootcd2disk. The configuration file can be created with the command bootcdmk2diskconf.

<dev>
    Configures the device where bootcdbackup finds the file "fstab" and discover the configuration for the restore.

<name>
    The name of the backup (no blanks!) is used on the creation time and to restore the backup with bootcd2disk -c <name>.

<builddir>
    Builddir is an directory on the backup system where bootcdbackup build the backup CD/DVD. Space for the CD/DVD image, for compression and the data is needed!

All other configuration has to be done in the config files.

FILES

/etc/bootcd/bootcdbackup.conf

Configuration for bootcdbackup.

SEE ALSO
Documentation in bootcdbackup.conf

bootcdbackup.conf(5), bootcd(1), bootcdflopcp(1), bootcdwrite(1)

AUTHOR
This manual page was written by Bernd Schumacher <bernd.schumacher@hpe.com> and Carsten Dinkelmann <Carsten.Dinkelmann@foobar-cpa.de> for the Debian GNU/Linux system (but may be used by others).